[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Guile support in GNU make

From: Ludovic Courtès
Subject: Re: Guile support in GNU make
Date: Thu, 26 Jan 2012 00:45:38 +0100
User-agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.90 (gnu/linux)

Hi Paul,

Paul Smith <address@hidden> skribis:

> How can I write this so it will work both with older Guile 1.8 and also
> with newer Guile 2.0?  Or, should I just forget about trying to work
> with Guile <2.0?  Most systems I have access to still have Guile 1.8
> though.

In addition to ttn’s suggestions, you can always do:

  (cond-expand (guile-2 the-new-way)
               (guile   the-old-way))


reply via email to

[Prev in Thread] Current Thread [Next in Thread]